***********************************
* Winning Alone: Robustness Tests *
***********************************

use "C:\Documents and Settings\Dawn Brancati\My Documents\Working Papers\Independent Parties\Final Data\JOP_FINAL_07.25.07.dta", replace 

*MODELS WITH DM DROPPED TO INCLUDE: COLOMBIA, CYPRUS (PRE-91), TURKEY (PRE-99) AND GERMANY'S PR SYSTEM*
xtreg f_indp_cand majplr dtv felect d40-d00 if allowed == 1, robust fe i (cid) 
  outreg using JOPappendix.T2, bdec(2) rdec(3) bfmt(fc,e, fc) coefastr  replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) title (Full Model without District Magnitude)
xtreg f_indp_vote majplr dtv felect d40-d00 if allowed == 1, robust fe i (cid) 
 outreg using JOPappendix.T2, bdec(2) rdec(3) bfmt(fc,e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4)
xtreg f_indp_seat majplr dtv felect d40-d00 if allowed == 1, robust fe i (cid)
 outreg using JOPappendix.T2, bdec(2) rdec(3) bfmt(fc,e, fc) coefastr  append replace se  noni addstat ("R squared (between)", e(r2_b)) adec(4)

*FIRST TEN YEARS OF DEMOCRACY*
xtreg f_indp_cand majplr dm dtv dem10 d40-d00 if allowed == 1, robust fe i(cid)
  outreg using JOPappendix.T5, bdec(2) rdec(3) bfmt(fc,fc,e, fc) coefastr  replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) title (First Ten Years of Democracy)
xtreg f_indp_vote majplr  dm dtv dem10  d40-d00 if allowed == 1, robust fe i(cid)
  outreg using JOPappendix.T5, bdec(2) rdec(3) bfmt(fc,fc,e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
xtreg f_indp_seat majplr dm dtv dem10  d40-d00 if allowed == 1, robust fe i(cid)
  outreg using JOPappendix.T5, bdec(2) rdec(3) bfmt(fc,fc,e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 

*AGE OF THE ELECTORAL SYSTEM*
*xtreg f_indp_cand majplr dm dtv age  d40-d00 if allowed == 1, robust fe i(cid) 
  outreg using JOPappendix.T6, bdec(2) rdec(3) bfmt(fc,fc,fc,e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4)  title (Age of the Electoral System)
*xtreg f_indp_vote majplr dm dtv age d40-d00 if allowed == 1, robust fe i(cid)
  outreg using JOPappendix.T6, bdec(2) rdec(3) bfmt(fc,fc,fc,e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
*xtreg f_indp_seat majplr dm dtv age d40-d00 if allowed == 1, robust fe i(cid)
 outreg using JOPappendix.T6, bdec(2) rdec(3) bfmt(fc,fc,fc,e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 

*FIRST, SECOND AND THIRD WAVE DEMOCRACIES* 
reg f_indp_cand majplr openpr dm dtv firstwave secondwave d40-d00 if allowed == 1,  cluster (eid2)
 *test firstwave secondwave
 outreg using JOPappendix.T7, bdec(2) rdec(3) bfmt(fc,fc, fc, e, fc) coefastr replace se noni title (Waves of Democracy)
reg f_indp_vote majplr openpr dm dtv firstwave secondwave d40-d00 if allowed == 1, cluster (eid2)
  *test firstwave secondwave 
 outreg using JOPappendix.T7, bdec(2) rdec(3) bfmt(fc,fc, fc, e, fc) coefastr append replace se  noni title (Waves of Democracy)
reg f_indp_seat majplr openpr dm dtv  firstwave secondwave if allowed == 1, cluster (eid2)
   *test firstwave secondwave  
 outreg using JOPappendix.T7, bdec(2) rdec(3) bfmt(fc,fc, fc, e, fc) coefastr  append replace se noni

*MIXED ELECTORAL SYSTEMS*
xtreg f_indp_cand majplr mixed dm dtv felect d40-d00 if allowed == 1, robust fe i(cid)
  outreg using JOPappendix.T8, bdec(2) rdec(3) bfmt(fc,fc,fc,e,fc)  coefastr replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) title (Mixed Electoral Systems)
xtreg f_indp_vote majplr mixed dm dtv felect  d40-d00 if allowed == 1, robust fe i(cid)
  outreg using JOPappendix.T8, bdec(2) rdec(3) bfmt(fc,fc,fc,e,fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
xtreg f_indp_seat majplr mixed dm dtv  felect d40-d00 if allowed == 1, robust fe i(cid)
  outreg using JOPappendix.T8, bdec(2) rdec(3) bfmt(fc,fc,fc, e,fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 

*Mixed2 includes predominantly PR systems with some SMD plurality districts*
*gen majplr_mixed2 = majplr*mixed2
*xtreg f_indp_cand majplr pr mixed2 dm dtv felect d40-d00 if allowed == 1, robust fe i(cid)
*xtreg f_indp_vote majplr pr mixed2 dm dtv felect d40-d00 if allowed == 1, robust fe i(cid)
*xtreg f_indp_seat majplr pr mixed2 dm dtv felect  d40-d00 if allowed == 1, robust fe i(cid)
*xtreg f_indp_cand majplr pr mixed2 majplr_mixed2 dm dtv felect d40-d00 if allowed == 1, robust fe i(cid)
*xtreg f_indp_vote majplr pr mixed2 majplr_mixed2 dm dtv felect d40-d00 if allowed == 1, robust fe i(cid)
*xtreg f_indp_seat majplr pr mixed2 majplr_mixed2 dm dtv felect d40-d00 if allowed == 1, robust fe i(cid)

*MAJ AND PLR SEPARATE*
xtreg f_indp_cand maj plr dm dtv felect  d40-d00 if allowed == 1, robust fe i(cid)
 outreg using JOPappendix.T14, bdec(2) rdec(3) bfmt(fc,fc,fc, e,fc) coefastr replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) title (Majority and Plurality Systems Separated)
xtreg f_indp_vote maj plr dm dtv felect  d40-d00 if allowed == 1, robust fe i(cid)
   outreg using JOPappendix.T14, bdec(2) rdec(3) bfmt(fc,fc,fc, e,fc) coefastr append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
xtreg f_indp_seat maj plr dm dtv felect  d40-d00 if allowed == 1, robust fe i(cid)
   outreg using JOPappendix.T14, bdec(2) rdec(3) bfmt(fc,fc,fc, e,fc) coefastr append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 

*THRESHOLD ANALYSIS WITHOUT TURKEY (I.E. THE COUNTRY WITH THE HIGHEST THRESHOLD)*
*xtreg f_indp_cand openpr dm dtv threshold felect d40-d00 if pr == 1 & cnty != "Turkey" & allowed == 1, robust fe i(cid)
  *outreg using JOPappendix.T9, bdec(2) rdec(3)  bfmt(fc,fc,e, fc) coefastr  replace se  noni addstat ("R squared (between)", e(r2_b)) adec(4) 
xtreg f_indp_vote openpr dm dtv threshold felect d40-d00 if pr == 1 & cnty != "Turkey" & allowed == 1, robust fe i(cid)
  outreg using JOPappendix.T9, bdec(2) rdec(3)  bfmt(fc,fc,e, fc) coefastr replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) title (Threshold Model with Highest Threshold (Turkey)) 
xtreg f_indp_seat openpr dm dtv threshold felect d40-d00 if pr == 1 & cnty != "Turkey" & allowed == 1, robust fe i(cid)
  outreg using JOPappendix.T9, bdec(2) rdec(3)  bfmt(fc,fc,e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 

*THRESHOLD ANALYSIS WITHOUT SINGLE NATIONAL DISTRICTS*
*xtreg f_indp_cand  openpr dm dtv threshold felect d40-d00 if pr == 1 & snd !=1 & allowed == 1, robust fe i(cid)
xtreg f_indp_vote openpr dm dtv threshold felect d40-d00 if pr == 1 & snd !=1 & allowed == 1, robust fe i(cid)  
  outreg using JOPappendix.T10, bdec(2) rdec(3)  bfmt(fc,fc, e, fc) coefastr replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) title (Threshold Model without Single National Districts)
xtreg f_indp_seat openpr dm dtv threshold felect d40-d00 if pr == 1 & snd !=1 & allowed == 1, robust fe i(cid)
  outreg using JOPappendix.T10, bdec(2) rdec(3)  bfmt(fc,fc,e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4)

*MAIN ANALYSIS WITHOUT RUSSIA AND PAKISTAN*
xtreg f_indp_cand majplr dm dtv felect d40-d00 if allowed == 1 & cnty != "Russia" & cnty != "Pakistan", robust fe i(cid)
  outreg using JOPappendix.T11, bdec(2) rdec(3) bfmt(fc,fc,e, fc) coefastr  replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) title (Main Models without Countries with Strongest Independent Candidates (Russia and Pakistan))
xtreg f_indp_vote majplr dm dtv felect d40-d00 if allowed == 1 & cnty != "Russia" & cnty != "Pakistan", robust fe i(cid)
  outreg using JOPappendix.T11, bdec(2) rdec(3) bfmt(fc,fc,e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4)
xtreg f_indp_vote dm dtv felect d40-d00 if allowed == 1 & cnty != "Russia" & cnty != "Pakistan" & majplr == 1, robust fe i(cid)
  outreg using JOPappendix.T11, bdec(2) rdec(3) bfmt(fc,e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4)
xtreg f_indp_vote openpr dm dtv felect d40-d00 if allowed == 1 & cnty != "Russia" & cnty != "Pakistan" & pr == 1, robust fe i(cid)
   outreg using JOPappendix.T11, bdec(2) rdec(3) bfmt(fc, fc, e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4)
xtreg f_indp_seat majplr dm dtv felect d40-d00 if allowed == 1 & cnty != "Russia" & cnty != "Pakistan", robust fe i(cid)
  outreg using JOPappendix.T11, bdec(2) rdec(3)  bfmt(fc,fc,e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4)

*EXCLUDING COUNTRIES WITH ALL ZEROS*
xtreg f_indp_cand majplr dm dtv felect d40-d00 if allowed == 1 & cnty != "Belgium" & cnty != "Colombia" & cnty != "Finland" & cnty != "Germany" & cnty != "Lithuania" & cnty != "Luxembourg" & cnty != "Mauritius" & cnty != "Netherlands" & cnty != "Venezuela", robust fe i (cid)
  outreg using JOPappendix.T12, bdec(2) rdec(3) bfmt(fc,fc,e, fc) coefastr replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) title (Main Models wiithout Countries with Weakest Independent Candidates (No Independent Candidates))
xtreg f_indp_vote majplr dm dtv  felect d40-d00 if allowed == 1 & cnty != "Belgium" & cnty != "Colombia" & cnty != "Finland" & cnty != "Germany" & cnty != "Lithuania" & cnty != "Luxembourg" & cnty != "Mauritius" & cnty != "Netherlands" & cnty != "Venezuela", robust fe i (cid)
  outreg using JOPappendix.T12, bdec(2) rdec(3) bfmt(fc,fc,e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
*N too small for analysis restricted to only majority/plurality systems
xtreg f_indp_vote openpr dm dtv  threshold  felect d40-d00 if allowed == 1 & pr == 1 & cnty != "Belgium" & cnty != "Colombia" & cnty != "Finland" & cnty != "Germany" & cnty != "Lithuania" & cnty != "Luxembourg" & cnty != "Mauritius" & cnty != "Netherlands" & cnty != "Venezuela", robust fe i (cid)
 outreg using JOPappendix.T12, bdec(2) rdec(3) bfmt(fc,fc,e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
xtreg f_indp_seat majplr dm dtv felect d40-d00 if allowed == 1 & cnty != "Belgium" & cnty != "Colombia" & cnty != "Finland" & cnty != "Germany" & cnty != "Lithuania" & cnty != "Luxembourg" & cnty != "Mauritius" & cnty != "Netherlands" & cnty != "Venezuela", robust fe i (cid)
  outreg using JOPappendix.T12, bdec(2) rdec(3) bfmt(fc,fc,e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 

*MODELS WITH SE CLUSTERED BY COUNTRY-ELECTION YEAR AND NO FIXED EFFECTS*
reg f_indp_cand majplr openpr dm dtv felect if allowed == 1, cluster (eid2)
  outreg using JOPappendix.T13, bdec(2) rdec(3) bfmt(fc,fc,fc, e, fc) coefastr  replace se noni title (No Fixed Effect - Clustered by Country and Year)
reg f_indp_vote majplr openpr dm dtv felect if allowed == 1, cluster (eid2)
  outreg using JOPappendix.T13, bdec(2) rdec(3) bfmt(fc,fc, fc, e, fc) coefastr  append  replace se noni  
reg f_indp_vote dm dtv felect if allowed == 1 & majplr == 1, cluster (eid2)
  outreg using JOPappendix.T13, bdec(2) rdec(3) bfmt(fc,e, fc) coefastr  append  replace se noni  
reg f_indp_vote openpr dm dtv felect threshold if allowed == 1 & pr == 1, cluster (eid2)
   outreg using JOPappendix.T13, bdec(2) rdec(3) bfmt(fc,fc,e, fc) coefastr  append  replace se noni  
reg f_indp_seat majplr openpr dm dtv felect if allowed == 1, cluster (eid2)
  outreg using JOPappendix.T13, bdec(2) rdec(3) bfmt(fc,fc,fc, e, fc) coefastr  append  replace se noni 
 

