**************************************
* Wininng Alone - Replication Dataset*
**************************************

set mem 750m
set more off
use "C:\Documents and Settings\Dawn Brancati\My Documents\Working Papers\Independent Parties\Final Data\JOP_FINAL_09.18.07.dta" 

*TABLE 1: DESCRIPTIVE STATISTICS*

*TABLE 2: SIGNATURE AND BALLOT REQUIREMENTS* 
reg f_indp_cand sigdeposit psigdep mnocand d40-d00 if allowed == 1, robust cluster (eid2)
 outreg using 0907.indpTable1, bdec(2) rdec(3) coefastr  replace se noni
reg f_indp_vote sigdeposit psigdep mnocand d40-d00 if allowed == 1, robust cluster (eid2)
 outreg using 0907.indpTable1, bdec(2) rdec(3) coefastr  append replace se noni 
reg f_indp_seat sigdeposit  psigdep mnocand d40-d00 if allowed == 1, robust cluster (eid2)
 outreg  using 0907.indpTable1, bdec(2) rdec(3) coefastr  append replace se noni 
reg f_indp_cand sigprop depprop mnocand d40-d00 if allowed == 1, cluster (eid2)
 outreg using 0907.indpTable1, bdec(2,4,2) rdec(3) coefastr  append replace se noni title (Size of Signature and Deposit Requirements)
reg f_indp_vote sigprop depprop mnocand d40-d00 if allowed == 1, cluster (eid2)
 outreg using 0907.indpTable1, bdec(2,4,2) rdec(3) coefastr append  replace se noni 
reg f_indp_seat sigprop depprop mnocand d40-d00 if allowed == 1, cluster (eid2)
 outreg using 0907.indpTable1, bdec(2,4,2) rdec(3) coefastr append  replace se noni  

*TABLE 3: MAJORITY/PLURALITY SYSTEMS*
xtreg f_indp_cand majplr dm dtv d40-d00 if allowed == 1, robust fe i (cid)
 outreg using 0907.indpTable2, bdec(2) rdec(3) coefastr  bfmt(fc,fc,e, fc) replace se noni addstat ("R squared (between)", e(r2_b)) adec(4)  
xtreg f_indp_vote majplr dm dtv d40-d00 if allowed == 1, robust fe i (cid)
 outreg using 0907.indpTable2, bdec(2) rdec(3) coefastr  bfmt(fc,fc,e, fc) append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4)  
xtreg f_indp_seat majplr dm dtv d40-d00 if allowed == 1, robust fe i (cid)
 outreg using 0907.indpTable2, bdec(2) rdec(3) coefastr  bfmt(fc,fc,e, fc) append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
*gen majplr_mixed = majplr*mixed
xtreg f_indp_cand majplr mixed majplr_mixed dm dtv d40-d00 if allowed == 1, robust fe i(cid)
 outreg using 0907.indpTable2, bdec(2) rdec(3) bfmt(fc,fc,fc,fc,e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
xtreg f_indp_vote majplr mixed majplr_mixed dm dtv d40-d00 if allowed == 1, robust fe i(cid)
 outreg using 0907.indpTable2, bdec(2) rdec(3) bfmt(fc,fc,fc,fc,e, fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
 *test majplr mixed majplr_mixed
xtreg f_indp_seat majplr mixed majplr_mixed dm dtv d40-d00 if allowed == 1, robust fe i(cid)
 outreg using 0907.indpTable2, bdec(2) rdec(3) bfmt(fc,fc,fc,fc,e,fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
 *test majplr mixed majplr_mixed

*TABLE 4: FIRST ELECTIONS*
xtreg f_indp_cand majplr dm dtv felect d40-d00 if allowed == 1, robust fe i (cid)
 outreg using 0907.indpTable3, bdec(2) rdec(3) coefastr  bfmt(fc,fc,e, fc) replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
xtreg f_indp_vote majplr dm dtv felect d40-d00 if allowed == 1, robust fe i (cid)
 outreg using 0907.indpTable3, bdec(2) rdec(3) coefastr  bfmt(fc,fc,e, fc) append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
xtreg f_indp_seat majplr dm dtv felect d40-d00 if allowed == 1, robust fe i (cid)
 outreg using 0907.indpTable3, bdec(2) rdec(3) coefastr  bfmt(fc,fc,e, fc) append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
gen felect_majplr = felect*majplr
xtreg f_indp_cand majplr felect_majplr dm dtv felect  d40-d00 if allowed == 1, robust fe i(cid)
 outreg using 0907.indpTable3, bdec(2) rdec(3) bfmt(fc,fc,fc,e,fc) coefastr append  replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) title (Interaction between First Elections and the Electoral System)
 *test majplr felect_majplr felect
xtreg f_indp_vote majplr felect_majplr dm dtv felect  d40-d00 if allowed == 1, robust fe i(cid)
 *test majplr felect_majplr felect
 outreg using 0907.indpTable3, bdec(2) rdec(3) bfmt(fc,fc,fc,e,fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
xtreg f_indp_seat majplr felect_majplr dm dtv felect  d40-d00 if allowed == 1, robust fe i(cid)
 *test majplr felect_majplr felect
outreg using 0907.indpTable3, bdec(2) rdec(3) bfmt(fc,fc,fc,e,fc) coefastr  append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 

*Table 5: MAJORITY/PLURALITY AND PR DECOMPOSITION*
xtreg f_indp_cand dm dtv felect d40-d00 if majplr == 1 & allowed == 1, robust fe i (cid)
 outreg using 0907.indpTable4, bdec(2) rdec(3) coefastr  bfmt(fc, e, fc) replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
xtreg f_indp_vote dm dtv felect d40-d00 if majplr == 1 & allowed == 1, robust fe i (cid)
 outreg using 0907.indpTable4, bdec(2) rdec(3) coefastr  bfmt(fc, e, fc) append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
xtreg f_indp_seat dm dtv felect d40-d00 if majplr == 1 & allowed == 1, robust fe i (cid)
 outreg using 0907.indpTable4, bdec(2) rdec(3) coefastr  bfmt(fc, e, fc) append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
*xtreg f_indp_cand openpr dm dtv threshold felect d40-d00 if pr == 1 & allowed == 1, robust fe i (cid)
*outreg using 0907.indpTable4, bdec(2) rdec(3) coefastr  bfmt(fc, fc, e, fc) append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4)  
xtreg f_indp_vote openpr dm dtv threshold felect d40-d00 if pr == 1 & allowed == 1, robust fe i (cid)
 outreg using 0907.indpTable4, bdec(2) rdec(3) coefastr  bfmt(fc, fc, e, fc) append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 
xtreg f_indp_seat openpr dm dtv threshold felect d40-d00 if pr == 1 & allowed == 1, robust fe i (cid)
 outreg using 0907.indpTable4, bdec(2) rdec(3) coefastr  bfmt(fc, fc, e, fc) append replace se noni addstat ("R squared (between)", e(r2_b)) adec(4) 

*Note: Uncontested districts have been dropped from the analysis.* 
